Bug 857676 - directly connected NIC lost packets or cannot communicate to each other
directly connected NIC lost packets or cannot communicate to each other
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Veaceslav Falico
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 20:48 EDT by davidyangyi
Modified: 2014-09-30 19:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 11:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description davidyangyi 2012-09-15 20:48:09 EDT
Description of problem:
two servers, both eth6 are directly connected, and both eth7 are directly connected. bonding with eth6 and eth7

most of time they work find. but sometimes ping lost packets, sometimes cannot ping each other.


Version-Release number of selected component (if applicable):


How reproducible:

server1: 
cat /etc/modprobe.d/bonding.conf
alias bond3 bonding
options bond3 mode=1 miimon=100 primary=eth6

# cat ifcfg-bond3
DEVICE=bond3
BOOTPROTO=static
ONBOOT=yes
NM_CONTROLLED=no
IPADDR=12.12.200.12
NETMASK=255.255.255.128

# cat ifcfg-eth6
DEVICE=eth6
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond3
SLAVE=yes
USERCTL=no

# cat ifcfg-eth7
DEVICE=eth7
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond3
SLAVE=yes
USERCTL=no


server2: 
cat /etc/modprobe.d/bonding.conf
alias bond3 bonding
options bond3 mode=1 miimon=100 primary=eth6

# cat ifcfg-bond3
DEVICE=bond3
BOOTPROTO=static
ONBOOT=yes
NM_CONTROLLED=no
IPADDR=12.12.200.20
NETMASK=255.255.255.128

# cat ifcfg-eth6
DEVICE=eth6
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond3
SLAVE=yes
USERCTL=no


# cat ifcfg-eth7
DEVICE=eth7
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond3
SLAVE=yes
USERCTL=no


restart system and ping

# ping 12.12.200.12
PING 12.12.200.12 (12.12.200.12) 56(84) bytes of data.
64 bytes from 12.12.200.12: icmp_seq=2 ttl=64 time=0.184 ms
64 bytes from 12.12.200.12: icmp_seq=3 ttl=64 time=0.140 ms
64 bytes from 12.12.200.12: icmp_seq=6 ttl=64 time=0.153 ms
64 bytes from 12.12.200.12: icmp_seq=13 ttl=64 time=0.186 ms
64 bytes from 12.12.200.12: icmp_seq=17 ttl=64 time=0.131 ms
64 bytes from 12.12.200.12: icmp_seq=18 ttl=64 time=0.138 ms
64 bytes from 12.12.200.12: icmp_seq=19 ttl=64 time=0.138 ms
64 bytes from 12.12.200.12: icmp_seq=22 ttl=64 time=0.206 ms
^C
--- 12.12.200.12 ping statistics ---
26 packets transmitted, 8 received, 69% packet loss, time 25413ms


restart system again work restart network, it work fine again



# cat /proc/net/bonding/bond3
Ethernet Channel Bonding Driver: v3.6.0 (September 26, 2009)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: None
Currently Active Slave: eth6
MII Status: up
MII Polling Interval (ms): 100
Up Delay (ms): 0
Down Delay (ms): 0

Slave Interface: eth6
MII Status: up
Speed: 1000 Mbps
Duplex: full
Link Failure Count: 1
Permanent HW addr: 00:e0:ed:20:a1:62
Slave queue ID: 0

Slave Interface: eth7
MII Status: up
Speed: 1000 Mbps
Duplex: full
Link Failure Count: 1
Permanent HW addr: 00:e0:ed:20:a1:63
Slave queue ID: 0


# ethtool eth6
Settings for eth6:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised pause frame use: No
        Advertised auto-negotiation: No
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: off
        MDI-X: Unknown
        Supports Wake-on: pumbg
        Wake-on: d
        Current message level: 0x00000003 (3)
        Link detected: yes


# ethtool eth7
Settings for eth7:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised pause frame use: No
        Advertised auto-negotiation: No
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: off
        MDI-X: Unknown
        Supports Wake-on: d
        Wake-on: d
        Current message level: 0x00000003 (3)
        Link detected: yes


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 davidyangyi 2012-09-15 20:50:18 EDT
the NIC type is :

04:00.0 Ethernet controller: Intel Corporation 82576 Gigabit Network Connection (rev 01)
04:00.1 Ethernet controller: Intel Corporation 82576 Gigabit Network Connection (rev 01)
Comment 3 Jay Fenlason 2012-09-16 23:33:28 EDT
What ethtool command(s) failed?  Why do you think this is an ethtool problem rather than a Linux kernel problem?  Ethtool is a very simple program that merely tells the kernel what to do.
Comment 4 davidyangyi 2012-09-20 02:16:00 EDT
Because I didn't know which component cause the problem. so I choose ethtool casually. 
Now I choose the kernel component. Please give me some ideas, thank you very much.
Comment 5 RHEL Product and Program Management 2012-12-14 03:00:29 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Veaceslav Falico 2013-04-23 11:34:59 EDT
Hi,

Sorry, I'm closing this bug as not enough info. The ping can fail in thousands of situations, and if there were no comments for that long time - seems like it got fixed.

If you really think that it should be open and can provide some additional info on the bug - feel free to reopen.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.